---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_component_config Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The component_config data source accepts a component and a stack name and returns the component configuration in the stack
---

# utils_component_config (Data Source)

The `component_config` data source accepts a component and a stack name and returns the component configuration in the stack

## Example Usage

```terraform
locals {
  component   = "test/test-component-override"
  stack       = "tenant1-ue2-dev"
  tenant      = "tenant1"
  environment = "ue2"
  stage       = "dev"

  result1 = yamldecode(data.utils_component_config.example1.output)
  result2 = yamldecode(data.utils_component_config.example2.output)
}

data "utils_component_config" "example1" {
  component = local.component
  stack     = local.stack
}

data "utils_component_config" "example2" {
  component   = local.component
  tenant      = local.tenant
  environment = local.environment
  stage       = local.stage
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **component** (String) Component name.

### Optional

- **environment** (String) Environment.
- **id** (String) The ID of this resource.
- **stack** (String) Stack name.
- **stage** (String) Stage.
- **tenant** (String) Tenant.

### Read-Only

- **output** (String) Component configuration.


