---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_stack_config_yaml Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The stack_config_yaml data source accepts a list of stack config file names and returns a list of stack configurations.
---

# utils_stack_config_yaml (Data Source)

The `stack_config_yaml` data source accepts a list of stack config file names and returns a list of stack configurations.

## Example Usage

```terraform
locals {
  base_path = "../../config/stacks"

  stack_config_files = [
    "${local.base_path}/tenant1/ue2/dev.yaml",
    "${local.base_path}/tenant1/ue2/prod.yaml",
    "${local.base_path}/tenant1/ue2/staging.yaml",
    "${local.base_path}/tenant2/ue2/dev.yaml",
    "${local.base_path}/tenant2/ue2/prod.yaml",
    "${local.base_path}/tenant2/ue2/staging.yaml",
  ]

  result = [for i in data.utils_stack_config_yaml.example.output : yamldecode(i)]
}

data "utils_stack_config_yaml" "example" {
  base_path              = local.base_path
  input                  = local.stack_config_files
  process_component_deps = true
  process_stack_deps     = false
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **input** (List of String) A list of stack config file names.

### Optional

- **base_path** (String) Stack config base path.
- **id** (String) The ID of this resource.
- **process_component_deps** (Boolean) A boolean flag to enable/disable processing config dependencies for the components.
- **process_stack_deps** (Boolean) A boolean flag to enable/disable processing all stack dependencies for the components.

### Read-Only

- **output** (List of String) A list of stack configurations.


